local ggsTrading = foundation.createMod();

-- Mark the Log to Indicate this Mod is Loading
ggsTrading:log("Rebalancing Trading...")

-- Override Existing Villages
ggsTrading:dofile("Villages/Village_Northbury.lua")
ggsTrading:dofile("Villages/Village_Myddle.lua")
ggsTrading:dofile("Villages/Village_Davenport.lua")

-- Load Data for New Villages
ggsTrading:dofile("Villages/Village_Hamlet.lua")
ggsTrading:dofile("Villages/Village_Glenford.lua")

-- Append New Villages to the Existing Village List
ggsTrading:override({
    Id = "VILLAGE_LIST_DEFAULT",

    TradingVillageList = {
		-- Default action is to Replace the List.  We want to Append instead.
		Action = "APPEND",
		"VILLAGE_GLENFORD",
		"VILLAGE_HAMLET"
    }
})